#include <bits/stdc++.h>

using namespace std;

int main(){
    int n, m;
    cin >> n >> m;
    map<int, int> a;
    for(int i = 0; i < m; ++i){
        int x;
        cin >> x;
        a[x]++;
    }
    vector<int> ans;
    for(auto [x, y] : a){
        if(y >= n){
            ans.push_back(x);
        }
    }
    cout << ans.size() << "\n";
    for(auto i : ans){
        cout << i << " ";
    }
}